UiPath Documentation
orchestrator
2022.4
false
Orchestrator API ガイド
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

すべてのロボット アカウントを取得する

組織 ID に基づいて、組織のすべてのロボット アカウントのリストを返します。

API エンドポイント

GET https://{yourDomain}/identity/api/RobotAccount

スコープ

次のスコープが必要です。

  • PM.RobotAccount
  • PM.RobotAccount.Read

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

To obtain the {access_token}, make sure to authenticate through one of the methods described here.

パス パラメーター

パス パラメーターデータ型説明
partitionGlobalId

(必須)
文字列ロボット アカウントを取得する対象の組織の ID です。

Query Parameters

クエリ パラメーターデータ型説明
searchTerm

(任意)
文字列ロボット アカウントの検索に使用するキーです。
top

(任意)
int32上位 N 個のロボット アカウントを表示します。
skip

(任意)
int32上位 N 個のロボット アカウントをスキップします。
sortBy

(任意)
int32監査エントリの並べ替え条件として使用する DTO プロパティを指定します。

たとえば、namecreationTimeid などです。
sortOrder

(任意)
int32並べ替え順序を指定します。

たとえば、昇順 (asc) または降順 (desc) です。

応答

200 OK

クエリが実行されたロボット アカウントを返します。

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

  • {baseURL} は https://{yourDomain}/identity です。
  • {access_token}1234 です (長さを考慮)。
  • {partitionGlobalId}3fa85f64-5717-4562-b3fc-2c963f66afa6 です。
  • 以下のクエリ パラメーターを設定します。
    • searchTerm = bot
    • top = 2。上位 2 件のエントリを表示します。
    • skip = 2。最初の 2 件のエントリをスキップします。
    • sortBy = name。エントリを名前で並べ替えます。
    • sortOrder = asc。エントリを最も古いものから最も新しいものの順に並べ替えます。

呼び出しは次の例のようになります (cURL)。

curl --location --request GET 'https://{yourDomain}/identity/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6?searchTerm=attended&top=2&skip=2&sortBy=name&sortOrder=asc' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://{yourDomain}/identity/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6?searchTerm=attended&top=2&skip=2&sortBy=name&sortOrder=asc' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'

監査エントリが正常に取得された場合、応答本文は次のようになります。

{
    "totalCount": 3,
    "results": [
        {
            "id": "55-ab",
            "name": "Bot5",
            "displayName": "Bot5",
            "creationTime": "2021-10-19T18:05:17.3465735",
            "lastLoginTime": null,
            "groupIds": [
                "group1",
                "group2",
                "group3"
            ]
        },
        {
            "id": "66-cd",
            "name": "Bot6",
            "displayName": "Bot6",
            "creationTime": "2021-10-19T18:06:00.3088553",
            "lastLoginTime": null,
            "groupIds": [
                "group1",
                "group3"
            ]
        },
        {
            "id": "77-ef",
            "name": "Bot7",
            "displayName": "Bot7",
            "creationTime": "2021-10-19T18:05:31.4736281",
            "lastLoginTime": null,
            "groupIds": [
                "group2"
            ]
        }
    ]
}
{
    "totalCount": 3,
    "results": [
        {
            "id": "55-ab",
            "name": "Bot5",
            "displayName": "Bot5",
            "creationTime": "2021-10-19T18:05:17.3465735",
            "lastLoginTime": null,
            "groupIds": [
                "group1",
                "group2",
                "group3"
            ]
        },
        {
            "id": "66-cd",
            "name": "Bot6",
            "displayName": "Bot6",
            "creationTime": "2021-10-19T18:06:00.3088553",
            "lastLoginTime": null,
            "groupIds": [
                "group1",
                "group3"
            ]
        },
        {
            "id": "77-ef",
            "name": "Bot7",
            "displayName": "Bot7",
            "creationTime": "2021-10-19T18:05:31.4736281",
            "lastLoginTime": null,
            "groupIds": [
                "group2"
            ]
        }
    ]
}
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • パス パラメーター
  • Query Parameters
  • 応答
  • 200 OK
  • 要求の例

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得